## orthanc-dicomweb 1.5+dfsg

=== CMakeLists.txt ===
# Orthanc - A Lightweight, RESTful DICOM Store
# Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
# Department, University Hospital of Liege, Belgium
# Copyright (C) 2017-2021 Osimis S.A., Belgium
#
# This program is free software: you can redistribute it and/or
# modify it under the terms of the GNU Affero General Public License
# as published by the Free Software Foundation, either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.


cmake_minimum_required(VERSION 2.8)

project(OrthancDicomWeb)

set(ORTHANC_DICOM_WEB_VERSION "1.5")

if (ORTHANC_DICOM_WEB_VERSION STREQUAL "mainline")
  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
  set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
else()
  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.8.2")
  set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
endif()


# Parameters of the build
set(STATIC_BUILD OFF CACHE BOOL "Static build of the third-party libraries (necessary for Windows)")
set(STANDALONE_BUILD ON CACHE BOOL "Standalone build (all the resources are embedded, necessary for releases)")
set(ALLOW_DOWNLOADS OFF CACHE BOOL "Allow CMake to download packages")
set(ORTHANC_FRAMEWORK_SOURCE "${ORTHANC_FRAMEWORK_DEFAULT_SOURCE}" CACHE STRING "Source of the Orthanc framework (can be \"system\", \"hg\", \"archive\", \"web\" or \"path\")")
set(ORTHANC_FRAMEWORK_VERSION "${ORTHANC_FRAMEWORK_DEFAULT_VERSION}" CACHE STRING "Version of the Orthanc framework")
set(ORTHANC_FRAMEWORK_ARCHIVE "" CACHE STRING "Path to the Orthanc archive, if ORTHANC_FRAMEWORK_SOURCE is \"archive\"")
set(ORTHANC_FRAMEWORK_ROOT "" CACHE STRING "Path to the Orthanc source directory, if ORTHANC_FRAMEWORK_SOURCE is \"path\"")


# Advanced parameters to fine-tune linking against system libraries
set(USE_SYSTEM_ORTHANC_SDK ON CACHE BOOL "Use the system version of the Orthanc plugin SDK")
set(ORTHANC_SDK_VERSION "1.7.0" CACHE STRING "Version of the Orthanc plugin SDK to use, if not using the system version (can be \"1.7.0\")")
set(ORTHANC_FRAMEWORK_STATIC OFF CACHE BOOL "If linking against the Orthanc framework system library, indicates whether this library was statically linked")
mark_as_advanced(ORTHANC_FRAMEWORK_STATIC)


set(BUILD_BOOTSTRAP_VUE OFF CACHE BOOL "Compile Bootstrap-Vue from sources")
set(BUILD_BABEL_POLYFILL OFF CACHE BOOL "Retrieve babel-polyfill from npm")



# Download and setup the Orthanc framework
include(${CMAKE_SOURCE_DIR}/Resources/Orthanc/CMake/DownloadOrthancFramework.cmake)

include_directories(${ORTHANC_FRAMEWORK_ROOT})

if (ORTHANC_FRAMEWORK_SOURCE STREQUAL "system")
  link_libraries(${ORTHANC_FRAMEWORK_LIBRARIES})

  set(USE_SYSTEM_GOOGLE_TEST ON CACHE BOOL "Use the system version of Google Test")
  set(USE_GOOGLE_TEST_DEBIAN_PACKAGE OFF CACHE BOOL "Use the sources of Google Test shipped with libgtest-dev (Debian only)")
  mark_as_advanced(USE_GOOGLE_TEST_DEBIAN_PACKAGE)
  include(${CMAKE_SOURCE_DIR}/Resources/Orthanc/CMake/GoogleTestConfiguration.cmake)
  
else()
  include(${ORTHANC_FRAMEWORK_ROOT}/../Resources/CMake/OrthancFrameworkParameters.cmake)

  set(ENABLE_LOCALE ON)         # Enable support for locales (notably in Boost)
  set(ENABLE_GOOGLE_TEST ON)
  set(ENABLE_PUGIXML ON)
  set(ENABLE_MODULE_JOBS OFF)
  set(USE_BOOST_ICONV ON)
  
  include(${ORTHANC_FRAMEWORK_ROOT}/../Resources/CMake/OrthancFrameworkConfiguration.cmake)
endif()


include(${CMAKE_SOURCE_DIR}/Resources/CMake/JavaScriptLibraries.cmake)
include(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Plugins/OrthancPluginsExports.cmake)


if (STATIC_BUILD OR NOT USE_SYSTEM_ORTHANC_SDK)
  if (ORTHANC_SDK_VERSION STREQUAL "1.7.0")
    include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.7.0)
  else()
    message(FATAL_ERROR "Unsupported version of the Orthanc plugin SDK: ${ORTHANC_SDK_VERSION}")
  endif()
else ()
  CHECK_INCLUDE_FILE_CXX(orthanc/OrthancCPlugin.h HAVE_ORTHANC_H)
  if (NOT HAVE_ORTHANC_H)
    message(FATAL_ERROR "Please install the headers of the Orthanc plugins SDK")
  endif()
endif()


if (${CMAKE_SYSTEM_NAME} STREQUAL "Linux" OR
    ${CMAKE_SYSTEM_NAME} STREQUAL "kFreeBSD" OR
    ${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")
  link_libraries(rt)
elseif (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
  SET(CMAKE_CXX_STANDARD_LIBRARIES "${CMAKE_CXX_STANDARD_LIBRARIES} -lws2_32")

  execute_process(
    COMMAND 
    ${PYTHON_EXECUTABLE} ${ORTHANC_FRAMEWORK_ROOT}/../Resources/WindowsResources.py
    ${ORTHANC_DICOM_WEB_VERSION} "DICOMweb plugin" OrthancDicomWeb.dll
    "Plugin to extend Orthanc with the DICOMweb API"
    ERROR_VARIABLE Failure
    OUTPUT_FILE ${CMAKE_CURRENT_BINARY_DIR}/Version.rc
    )

  if (Failure)
    message(FATAL_ERROR "Error while computing the version information: ${Failure}")
  endif()

  list(APPEND AUTOGENERATED_SOURCES  ${CMAKE_CURRENT_BINARY_DIR}/Version.rc)
endif()


if (APPLE)
  SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -framework CoreFoundation")
  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -framework CoreFoundation")
endif()



if (STANDALONE_BUILD)
  add_definitions(-DORTHANC_STANDALONE=1)
  set(ADDITIONAL_RESOURCES
    ORTHANC_EXPLORER  ${CMAKE_SOURCE_DIR}/Plugin/OrthancExplorer.js
    WEB_APPLICATION   ${CMAKE_SOURCE_DIR}/WebApplication/
    )
else()
  add_definitions(-DORTHANC_STANDALONE=0)
endif()

EmbedResources(
  --no-upcase-check
  ${ADDITIONAL_RESOURCES}
  JAVASCRIPT_LIBS   ${JAVASCRIPT_LIBS_DIR}
  )


# As the embedded resources are shared by both the "UnitTests" and the
# "OrthancDicomWeb" targets, avoid race conditions in the code
# generation by adding a target between them
add_custom_target(
  AutogeneratedTarget
  DEPENDS 
  ${AUTOGENERATED_SOURCES}
  )


add_definitions(
  -DHAS_ORTHANC_EXCEPTION=1
  -DORTHANC_ENABLE_LOGGING_PLUGIN=1
  -DDICOMWEB_CLIENT_PATH="${CMAKE_SOURCE_DIR}/WebApplication/"
  )

set(CORE_SOURCES
  Plugin/Configuration.cpp

  ${CMAKE_SOURCE_DIR}/Resources/Orthanc/Plugins/OrthancPluginCppWrapper.cpp
  ${ORTHANC_CORE_SOURCES}
  )

add_library(OrthancDicomWeb SHARED ${CORE_SOURCES}
  ${CMAKE_SOURCE_DIR}/Plugin/DicomWebClient.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/DicomWebFormatter.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/DicomWebServers.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/Plugin.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/QidoRs.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/StowRs.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/WadoRs.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/WadoRsRetrieveFrames.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/WadoRsRetrieveRendered.cpp
  ${CMAKE_SOURCE_DIR}/Plugin/WadoUri.cpp
  ${AUTOGENERATED_SOURCES}
  )

add_dependencies(OrthancDicomWeb AutogeneratedTarget)

message("Setting the version of the library to ${ORTHANC_DICOM_WEB_VERSION}")

add_definitions(-DORTHANC_DICOM_WEB_VERSION="${ORTHANC_DICOM_WEB_VERSION}")

set_target_properties(OrthancDicomWeb PROPERTIES 
  VERSION ${ORTHANC_DICOM_WEB_VERSION} 
  SOVERSION ${ORTHANC_DICOM_WEB_VERSION}
  )

install(
  TARGETS OrthancDicomWeb
  RUNTIME DESTINATION lib    # Destination for Windows
  LIBRARY DESTINATION share/orthanc/plugins    # Destination for Linux
  )

add_executable(UnitTests
  ${AUTOGENERATED_SOURCES}
  ${CORE_SOURCES}
  ${GOOGLE_TEST_SOURCES}
  ${CMAKE_SOURCE_DIR}/Plugin/DicomWebServers.cpp
  UnitTestsSources/UnitTestsMain.cpp
  )

add_dependencies(UnitTests AutogeneratedTarget)

target_link_libraries(UnitTests
  ${GOOGLE_TEST_LIBRARIES}
  )

=== debian/changelog ===
orthanc-dicomweb (1.5+dfsg-3) unstable; urgency=medium

  * Added missing "Built-Using" attribute (backport from experimental).
    Closes: #989128

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 07 Jun 2021 11:17:44 +0200

orthanc-dicomweb (1.5+dfsg-2) unstable; urgency=medium

  * Statically link against the Orthanc framework

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 26 Feb 2021 15:25:00 +0100

orthanc-dicomweb (1.5+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 27 Jan 2021 07:20:10 +0100

orthanc-dicomweb (1.4+dfsg-2) unstable; urgency=medium

  * Fix paths to Bootstrap because of symlink changes in
    twitter-bootstrap4 (4.5.2+dfsg1-3). Closes: #978246

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 27 Dec 2020 15:01:34 +0100

orthanc-dicomweb (1.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 18 Dec 2020 09:04:01 +0100

orthanc-dicomweb (1.3+dfsg-2) unstable; urgency=medium

  * Fix missing include because of upgraded liborthancframework-dev

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 09 Dec 2020 18:44:40 +0100

orthanc-dicomweb (1.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Dynamic linking against "liborthancframework*"

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 19 Oct 2020 20:52:43 +0200

=== debian/control ===
Source: orthanc-dicomweb
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 10),
	       fonts-font-awesome,
	       libjs-bootstrap4,
               libgtest-dev,
               libjs-jquery,
               liborthancframework-dev,
	       node-axios,
               orthanc-dev (>= 1.7.0),
               unzip,
               uuid-dev,
               yui-compressor
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/orthanc-dicomweb
Vcs-Git: https://salsa.debian.org/med-team/orthanc-dicomweb.git
Homepage: https://www.orthanc-server.com/static.php?page=dicomweb

Package: orthanc-dicomweb
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         orthanc (>= 1.7.0)
Built-Using: ${orthancframework:Built-Using}
Description: Plugin to extend Orthanc with support of WADO and DICOMweb
 Orthanc DICOMweb is a plugin to Orthanc, the lightweight, RESTful Vendor
 Neutral Archive for medical imaging. It extends the Orthanc core with
 support of the WADO (now known as WADO-URI) and DICOMweb (QIDO-RS,
 STOW-RS, WADO-RS) standards.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '+' -f 1)
export TARGET := libOrthancDicomWeb.so

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# Disable assert() checking from upstream project, for best performance
# https://lists.debian.org/debian-med/2018/04/msg00132.html
export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ --builddirectory=Build

CMAKE_EXTRA_FLAGS += \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DSTATIC_BUILD:BOOL=OFF \
        -DORTHANC_FRAMEWORK_SOURCE:STRING=system \
        -DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
        -DORTHANC_FRAMEWORK_USE_SHARED:BOOL=OFF \
        "-DORTHANC_FRAMEWORK_ADDITIONAL_LIBRARIES=boost_filesystem boost_iostreams boost_locale boost_regex boost_thread jsoncpp pugixml uuid sqlite3 dcmdata dcmjpeg dcmjpls ofstd dcmimage" \
        -DCMAKE_BUILD_TYPE=None  # The build type must be set to None, see #711515

# Automated generation of the "Built-Using" attribute in "d/control"
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=989128
# Adapted from:
# https://wiki.debian.org/SIMDEverywhere#Approach (Point 6)
override_dh_gencontrol:
	dh_gencontrol -- -Vorthancframework:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W liborthancframework-dev)"

override_dh_auto_configure:
        # Place back the jquery library from Debian
	cp /usr/share/javascript/jquery/jquery.min.js Resources/Samples/JavaScript/jquery.min.js

        # Launch the original CMake script
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	( cd Build; ./UnitTests )
endif

override_dh_auto_install:
	dh_install Build/${TARGET}.${UPSTREAM_VERSION} usr/lib/orthanc

override_dh_link:
	dh_link usr/lib/orthanc/${TARGET}.${UPSTREAM_VERSION} usr/share/orthanc/plugins/${TARGET}

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

## orthanc-dicomweb 1.7+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,13 +21,13 @@
 
 project(OrthancDicomWeb)
 
-set(ORTHANC_DICOM_WEB_VERSION "1.5")
+set(ORTHANC_DICOM_WEB_VERSION "1.7")
 
 if (ORTHANC_DICOM_WEB_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.8.2")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.9.7")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -57,11 +57,20 @@
 # Download and setup the Orthanc framework
 include(${CMAKE_SOURCE_DIR}/Resources/Orthanc/CMake/DownloadOrthancFramework.cmake)
 
-include_directories(${ORTHANC_FRAMEWORK_ROOT})
-
 if (ORTHANC_FRAMEWORK_SOURCE STREQUAL "system")
+  if (ORTHANC_FRAMEWORK_USE_SHARED)
+    include(FindBoost)
+    find_package(Boost COMPONENTS regex thread)
+    
+    if (NOT Boost_FOUND)
+      message(FATAL_ERROR "Unable to locate Boost on this system")
+    endif()
+    
+    link_libraries(${Boost_LIBRARIES} jsoncpp)
+  endif()
+
   link_libraries(${ORTHANC_FRAMEWORK_LIBRARIES})
-
+  
   set(USE_SYSTEM_GOOGLE_TEST ON CACHE BOOL "Use the system version of Google Test")
   set(USE_GOOGLE_TEST_DEBIAN_PACKAGE OFF CACHE BOOL "Use the sources of Google Test shipped with libgtest-dev (Debian only)")
   mark_as_advanced(USE_GOOGLE_TEST_DEBIAN_PACKAGE)
@@ -77,6 +86,7 @@
   set(USE_BOOST_ICONV ON)
   
   include(${ORTHANC_FRAMEWORK_ROOT}/../Resources/CMake/OrthancFrameworkConfiguration.cmake)
+  include_directories(${ORTHANC_FRAMEWORK_ROOT})
 endif()

=== debian/changelog ===
orthanc-dicomweb (1.7+dfsg-6) unstable; urgency=medium

  * Patch to deal with changes inside the node-axios package. Closes: #1023738

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 02 Dec 2022 17:00:07 +0100

orthanc-dicomweb (1.7+dfsg-5) unstable; urgency=medium

  * Re-upload of 1.7+dfsg-4 because of git issues

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 27 May 2022 11:56:40 +0200

orthanc-dicomweb (1.7+dfsg-4) unstable; urgency=medium

  * node-axios package does not provide
    /usr/share/nodejs/axios/dist/axios.min.map anymore. Closes: #1011886

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 27 May 2022 11:07:17 +0200

orthanc-dicomweb (1.7+dfsg-2) unstable; urgency=medium

  * Replace explicit restart of Orthanc by orthanc-restart-trigger

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 16 Jan 2022 16:53:42 +0100

orthanc-dicomweb (1.7+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 01 Sep 2021 12:45:02 +0200

orthanc-dicomweb (1.6+dfsg-2) experimental; urgency=medium

  * Added missing "Built-Using" attribute. Closes: #989128

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 07 Jun 2021 10:54:22 +0200

orthanc-dicomweb (1.6+dfsg-1) experimental; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 07 May 2021 16:28:52 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                unzip,
                uuid-dev,
                yui-compressor
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-dicomweb
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-dicomweb.git
 Homepage: https://www.orthanc-server.com/static.php?page=dicomweb
@@ -25,7 +25,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         orthanc (>= 1.7.0)
+         orthanc (>= 1.9.7+dfsg-6)
 Built-Using: ${orthancframework:Built-Using}
 Description: Plugin to extend Orthanc with support of WADO and DICOMweb
  Orthanc DICOMweb is a plugin to Orthanc, the lightweight, RESTful Vendor

## orthanc-dicomweb 1.14+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,8 @@
 # Orthanc - A Lightweight, RESTful DICOM Store
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
-# Copyright (C) 2017-2021 Osimis S.A., Belgium
+# Copyright (C) 2017-2023 Osimis S.A., Belgium
+# Copyright (C) 2021-2023 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -21,13 +22,13 @@
 
 project(OrthancDicomWeb)
 
-set(ORTHANC_DICOM_WEB_VERSION "1.7")
+set(ORTHANC_DICOM_WEB_VERSION "1.14")
 
 if (ORTHANC_DICOM_WEB_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.9.7")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.1")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -44,7 +45,7 @@
 
 # Advanced parameters to fine-tune linking against system libraries
 set(USE_SYSTEM_ORTHANC_SDK ON CACHE BOOL "Use the system version of the Orthanc plugin SDK")
-set(ORTHANC_SDK_VERSION "1.7.0" CACHE STRING "Version of the Orthanc plugin SDK to use, if not using the system version (can be \"1.7.0\")")
+set(ORTHANC_SDK_VERSION "1.12.1" CACHE STRING "Version of the Orthanc plugin SDK to use, if not using the system version (can be \"1.9.2\", \"1.11.3\", or \"1.12.1\")")
 set(ORTHANC_FRAMEWORK_STATIC OFF CACHE BOOL "If linking against the Orthanc framework system library, indicates whether this library was statically linked")
 mark_as_advanced(ORTHANC_FRAMEWORK_STATIC)
 
@@ -95,8 +96,16 @@
 
 
 if (STATIC_BUILD OR NOT USE_SYSTEM_ORTHANC_SDK)
-  if (ORTHANC_SDK_VERSION STREQUAL "1.7.0")
-    include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.7.0)
+  if (ORTHANC_SDK_VERSION STREQUAL "1.9.2")
+    include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.9.2)
+  elseif (ORTHANC_SDK_VERSION STREQUAL "1.11.3")
+    include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.11.3)
+  elseif (ORTHANC_SDK_VERSION STREQUAL "1.12.1")
+    include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.12.1)
+  elseif (ORTHANC_SDK_VERSION STREQUAL "framework")
+    set(tmp ${ORTHANC_FRAMEWORK_ROOT}/../../OrthancServer/Plugins/Include/)
+    message(${tmp})
+    include_directories(${tmp})
   else()
     message(FATAL_ERROR "Unsupported version of the Orthanc plugin SDK: ${ORTHANC_SDK_VERSION}")
   endif()

=== debian/changelog ===
orthanc-dicomweb (1.14+dfsg-2) unstable; urgency=medium

  * Remove autogenerated file from source directory. Closes: #1047523

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 18 Aug 2023 16:15:36 +0200

orthanc-dicomweb (1.14+dfsg-1) unstable; urgency=medium

  * New upstream version. Closes: #1041086

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 15 Jul 2023 12:37:39 +0200

=== debian/control ===
--- 
+++ 
@@ -12,11 +12,11 @@
                libjs-jquery,
                liborthancframework-dev,
 	       node-axios,
-               orthanc-dev (>= 1.7.0),
+               orthanc-dev (>= 1.9.2),
                unzip,
                uuid-dev,
                yui-compressor
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-dicomweb
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-dicomweb.git
 Homepage: https://www.orthanc-server.com/static.php?page=dicomweb
@@ -25,7 +25,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         orthanc (>= 1.9.7+dfsg-6)
+         orthanc (>= 1.11.1)
 Built-Using: ${orthancframework:Built-Using}
 Description: Plugin to extend Orthanc with support of WADO and DICOMweb
  Orthanc DICOMweb is a plugin to Orthanc, the lightweight, RESTful Vendor

=== debian/rules ===
--- 
+++ 
@@ -51,3 +51,10 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k NEWS
+
+override_dh_clean:
+	dh_clean
+
+        # The file below is created by "override_dh_auto_configure"
+        # https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1047523
+	rm -f Resources/Samples/JavaScript/jquery.min.js

## orthanc-dicomweb 1.16+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,13 +22,13 @@
 
 project(OrthancDicomWeb)
 
-set(ORTHANC_DICOM_WEB_VERSION "1.14")
+set(ORTHANC_DICOM_WEB_VERSION "1.16")
 
 if (ORTHANC_DICOM_WEB_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.1")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.2")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -85,7 +85,8 @@
   set(ENABLE_PUGIXML ON)
   set(ENABLE_MODULE_JOBS OFF)
   set(USE_BOOST_ICONV ON)
-  
+  set(ENABLE_ZLIB ON)
+    
   include(${ORTHANC_FRAMEWORK_ROOT}/../Resources/CMake/OrthancFrameworkConfiguration.cmake)
   include_directories(${ORTHANC_FRAMEWORK_ROOT})
 endif()
@@ -204,6 +205,8 @@
 
 add_dependencies(OrthancDicomWeb AutogeneratedTarget)
 
+DefineSourceBasenameForTarget(OrthancDicomWeb)
+
 message("Setting the version of the library to ${ORTHANC_DICOM_WEB_VERSION}")
 
 add_definitions(-DORTHANC_DICOM_WEB_VERSION="${ORTHANC_DICOM_WEB_VERSION}")
@@ -232,3 +235,5 @@
 target_link_libraries(UnitTests
   ${GOOGLE_TEST_LIBRARIES}
   )
+
+DefineSourceBasenameForTarget(UnitTests)

=== debian/changelog ===
orthanc-dicomweb (1.16+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:08:22 +1100

orthanc-dicomweb (1.16+dfsg-1build1) noble; urgency=high

  * No change rebuild against libdcmtk17t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:47:38 +0100

orthanc-dicomweb (1.16+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 05 Jan 2024 12:42:07 +0100

orthanc-dicomweb (1.15+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Komolehin Israel Timilehin ]
  * Added autopkgtest
  * Added list of files to be installed

  [ Andreas Tille ]
  * Move source package lintian overrides to debian/source.

 -- Komolehin Israel Timilehin <komolehinisrael@gmail.com>  Wed, 01 Nov 2023 16:08:06 +0000

orthanc-dicomweb (1.15+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)
  * Build-Depends: pybuild-plugin-pyproject

  [ Sebastien Jodogne ]
  * Fix compatibility with older versions of the Orthanc framework.
    Closes: #1054914

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 31 Oct 2023 09:31:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,29 @@
 Source: orthanc-dicomweb
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 10),
-	       fonts-font-awesome,
-	       libjs-bootstrap4,
+               debhelper-compat (= 13),
+               pybuild-plugin-pyproject,
+               fonts-font-awesome,
+               libjs-bootstrap4,
                libgtest-dev,
                libjs-jquery,
                liborthancframework-dev,
-	       node-axios,
-               orthanc-dev (>= 1.9.2),
+               node-axios,
+               orthanc-dev,
                unzip,
                uuid-dev,
-               yui-compressor
+               yui-compressor,
+               zlib1g-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-dicomweb
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-dicomweb.git
 Homepage: https://www.orthanc-server.com/static.php?page=dicomweb
+Rules-Requires-Root: no
 
 Package: orthanc-dicomweb
 Architecture: any

## orthanc-dicomweb 1.17+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,8 @@
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
 # Copyright (C) 2017-2023 Osimis S.A., Belgium
-# Copyright (C) 2021-2023 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
+# Copyright (C) 2024-2024 Orthanc Team SRL, Belgium
+# Copyright (C) 2021-2024 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -22,13 +23,13 @@
 
 project(OrthancDicomWeb)
 
-set(ORTHANC_DICOM_WEB_VERSION "1.16")
+set(ORTHANC_DICOM_WEB_VERSION "1.17")
 
 if (ORTHANC_DICOM_WEB_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.2")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.4")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -45,7 +46,7 @@
 
 # Advanced parameters to fine-tune linking against system libraries
 set(USE_SYSTEM_ORTHANC_SDK ON CACHE BOOL "Use the system version of the Orthanc plugin SDK")
-set(ORTHANC_SDK_VERSION "1.12.1" CACHE STRING "Version of the Orthanc plugin SDK to use, if not using the system version (can be \"1.9.2\", \"1.11.3\", or \"1.12.1\")")
+set(ORTHANC_SDK_VERSION "1.12.1" CACHE STRING "Version of the Orthanc plugin SDK to use, if not using the system version (can be \"framework\" or \"1.12.1\")")
 set(ORTHANC_FRAMEWORK_STATIC OFF CACHE BOOL "If linking against the Orthanc framework system library, indicates whether this library was statically linked")
 mark_as_advanced(ORTHANC_FRAMEWORK_STATIC)
 
@@ -97,11 +98,7 @@
 
 
 if (STATIC_BUILD OR NOT USE_SYSTEM_ORTHANC_SDK)
-  if (ORTHANC_SDK_VERSION STREQUAL "1.9.2")
-    include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.9.2)
-  elseif (ORTHANC_SDK_VERSION STREQUAL "1.11.3")
-    include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.11.3)
-  elseif (ORTHANC_SDK_VERSION STREQUAL "1.12.1")
+  if (ORTHANC_SDK_VERSION STREQUAL "1.12.1")
     include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.12.1)
   elseif (ORTHANC_SDK_VERSION STREQUAL "framework")
     set(tmp ${ORTHANC_FRAMEWORK_ROOT}/../../OrthancServer/Plugins/Include/)
@@ -205,11 +202,12 @@
 
 add_dependencies(OrthancDicomWeb AutogeneratedTarget)
 
-DefineSourceBasenameForTarget(OrthancDicomWeb)
-
 message("Setting the version of the library to ${ORTHANC_DICOM_WEB_VERSION}")
 
-add_definitions(-DORTHANC_DICOM_WEB_VERSION="${ORTHANC_DICOM_WEB_VERSION}")
+add_definitions(
+  -DORTHANC_DICOM_WEB_NAME="dicom-web"
+  -DORTHANC_DICOM_WEB_VERSION="${ORTHANC_DICOM_WEB_VERSION}"
+  )
 
 set_target_properties(OrthancDicomWeb PROPERTIES 
   VERSION ${ORTHANC_DICOM_WEB_VERSION} 
@@ -236,4 +234,7 @@
   ${GOOGLE_TEST_LIBRARIES}
   )
 
-DefineSourceBasenameForTarget(UnitTests)
+if (COMMAND DefineSourceBasenameForTarget)
+  DefineSourceBasenameForTarget(OrthancDicomWeb)
+  DefineSourceBasenameForTarget(UnitTests)
+endif()

=== debian/changelog ===
orthanc-dicomweb (1.17+dfsg-1build1) oracular; urgency=medium

  * Rebuild against new libdcmtk18.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2024 09:37:47 +0200

orthanc-dicomweb (1.17+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 06 Jun 2024 08:23:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: orthanc-dicomweb
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
            Andreas Tille <tille@debian.org>
 Section: science
@@ -19,10 +18,10 @@
                uuid-dev,
                yui-compressor,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-dicomweb
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-dicomweb.git
-Homepage: https://www.orthanc-server.com/static.php?page=dicomweb
+Homepage: https://orthanc.uclouvain.be/book/plugins/dicomweb.html
 Rules-Requires-Root: no
 
 Package: orthanc-dicomweb

## orthanc-dicomweb 1.18%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                debhelper-compat (= 13),
                pybuild-plugin-pyproject,
                fonts-font-awesome,
-               libjs-bootstrap4,
+               libjs-bootstrap5,
+               libjs-vue,
                libgtest-dev,
-               libjs-jquery,
                liborthancframework-dev,
                node-axios,
                orthanc-dev,

## orthanc-dicomweb 1.18+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,13 +23,13 @@
 
 project(OrthancDicomWeb)
 
-set(ORTHANC_DICOM_WEB_VERSION "1.17")
+set(ORTHANC_DICOM_WEB_VERSION "1.18")
 
 if (ORTHANC_DICOM_WEB_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.4")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.5")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -51,7 +51,6 @@
 mark_as_advanced(ORTHANC_FRAMEWORK_STATIC)
 
 
-set(BUILD_BOOTSTRAP_VUE OFF CACHE BOOL "Compile Bootstrap-Vue from sources")
 set(BUILD_BABEL_POLYFILL OFF CACHE BOOL "Retrieve babel-polyfill from npm")
 
 
@@ -101,9 +100,7 @@
   if (ORTHANC_SDK_VERSION STREQUAL "1.12.1")
     include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.12.1)
   elseif (ORTHANC_SDK_VERSION STREQUAL "framework")
-    set(tmp ${ORTHANC_FRAMEWORK_ROOT}/../../OrthancServer/Plugins/Include/)
-    message(${tmp})
-    include_directories(${tmp})
+    include_directories(${ORTHANC_FRAMEWORK_ROOT}/../../OrthancServer/Plugins/Include/)
   else()
     message(FATAL_ERROR "Unsupported version of the Orthanc plugin SDK: ${ORTHANC_SDK_VERSION}")
   endif()

=== debian/changelog ===
orthanc-dicomweb (1.18+dfsg-1build2) plucky; urgency=medium

  * Rebuild against new libdcmtk19.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Feb 2025 20:23:48 +0100

orthanc-dicomweb (1.18+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild for libdcmtk19.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 26 Feb 2025 14:48:51 +0000

orthanc-dicomweb (1.18+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Upgraded Bootstrap from 4 to 5. Closes: #1088427
  * Removed dependency on bootstrap-vue, no longer in use in upstream project
  * Use libjs-vue package instead of shipping our own version of Vue.js

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 20 Dec 2024 09:30:39 +0100

## orthanc-dicomweb 1.20%2Bdfsg

=== debian/changelog ===
orthanc-dicomweb (1.20+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 13 May 2025 21:48:34 +0200

## orthanc-dicomweb 1.20+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
 # Copyright (C) 2017-2023 Osimis S.A., Belgium
-# Copyright (C) 2024-2024 Orthanc Team SRL, Belgium
-# Copyright (C) 2021-2024 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
+# Copyright (C) 2024-2025 Orthanc Team SRL, Belgium
+# Copyright (C) 2021-2025 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -23,7 +23,7 @@
 
 project(OrthancDicomWeb)
 
-set(ORTHANC_DICOM_WEB_VERSION "1.18")
+set(ORTHANC_DICOM_WEB_VERSION "1.20")
 
 if (ORTHANC_DICOM_WEB_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
@@ -46,7 +46,7 @@
 
 # Advanced parameters to fine-tune linking against system libraries
 set(USE_SYSTEM_ORTHANC_SDK ON CACHE BOOL "Use the system version of the Orthanc plugin SDK")
-set(ORTHANC_SDK_VERSION "1.12.1" CACHE STRING "Version of the Orthanc plugin SDK to use, if not using the system version (can be \"framework\" or \"1.12.1\")")
+set(ORTHANC_SDK_VERSION "1.12.4" CACHE STRING "Version of the Orthanc plugin SDK to use, if not using the system version (can be \"framework\" or \"1.12.1\" or \"1.12.4\")")
 set(ORTHANC_FRAMEWORK_STATIC OFF CACHE BOOL "If linking against the Orthanc framework system library, indicates whether this library was statically linked")
 mark_as_advanced(ORTHANC_FRAMEWORK_STATIC)
 
@@ -99,6 +99,8 @@
 if (STATIC_BUILD OR NOT USE_SYSTEM_ORTHANC_SDK)
   if (ORTHANC_SDK_VERSION STREQUAL "1.12.1")
     include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.12.1)
+  elseif(ORTHANC_SDK_VERSION STREQUAL "1.12.4")
+    include_directories(${CMAKE_SOURCE_DIR}/Resources/Orthanc/Sdk-1.12.4)
   elseif (ORTHANC_SDK_VERSION STREQUAL "framework")
     include_directories(${ORTHANC_FRAMEWORK_ROOT}/../../OrthancServer/Plugins/Include/)
   else()
@@ -157,6 +159,7 @@
   --no-upcase-check
   ${ADDITIONAL_RESOURCES}
   JAVASCRIPT_LIBS   ${JAVASCRIPT_LIBS_DIR}
+  VIDEO_THUMBNAIL   ${CMAKE_SOURCE_DIR}/Resources/Images/video-thumbnail.jpg
   )

=== debian/changelog ===
orthanc-dicomweb (1.20+dfsg-1build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Aug 2025 08:19:10 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                uuid-dev,
                yui-compressor,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-dicomweb
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-dicomweb.git
 Homepage: https://orthanc.uclouvain.be/book/plugins/dicomweb.html

## orthanc-dicomweb 1.21%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
         -DORTHANC_FRAMEWORK_SOURCE:STRING=system \
         -DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
         -DORTHANC_FRAMEWORK_USE_SHARED:BOOL=OFF \
-        "-DORTHANC_FRAMEWORK_ADDITIONAL_LIBRARIES=boost_filesystem boost_iostreams boost_locale boost_regex boost_thread jsoncpp pugixml uuid sqlite3 dcmdata dcmjpeg dcmjpls ofstd dcmimage" \
+        "-DORTHANC_FRAMEWORK_ADDITIONAL_LIBRARIES=boost_filesystem boost_iostreams boost_locale boost_regex boost_thread jsoncpp pugixml uuid sqlite3 dcmdata dcmjpeg dcmjpls ofstd dcmimage z" \
         -DCMAKE_BUILD_TYPE=None  # The build type must be set to None, see #711515
 
 # Automated generation of the "Built-Using" attribute in "d/control"

## orthanc-dicomweb 1.21+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 
 project(OrthancDicomWeb)
 
-set(ORTHANC_DICOM_WEB_VERSION "1.20")
+set(ORTHANC_DICOM_WEB_VERSION "1.21")
 
 if (ORTHANC_DICOM_WEB_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")

=== debian/changelog ===
orthanc-dicomweb (1.21+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 19 Aug 2025 14:53:25 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         orthanc (>= 1.11.1)
+         orthanc (>= 1.12.5)
 Built-Using: ${orthancframework:Built-Using}
 Description: Plugin to extend Orthanc with support of WADO and DICOMweb
  Orthanc DICOMweb is a plugin to Orthanc, the lightweight, RESTful Vendor

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends: @,
        build-essential,
        cmake,
        debhelper-compat (= 13),
        libgtest-dev,
        liborthancframework-dev,
        orthanc-dev (>= 1.10.1),
        unzip,
        uuid-dev

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
https://orthanc.uclouvain.be/downloads/sources/orthanc-dicomweb/index.html OrthancDicomWeb-(\d\S*)\.tar\.gz

## orthanc-dicomweb 1.22%2Bdfsg

=== debian/changelog ===
orthanc-dicomweb (1.22+dfsg-1build1) resolute; urgency=medium

  * No-change rebuild for boost 1.90.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Feb 2026 12:29:36 +0100

orthanc-dicomweb (1.22+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 09 Dec 2025 08:16:43 +0100

orthanc-dicomweb (1.21+dfsg-2) unstable; urgency=medium

  * Added dependency on libjs-jquery. Closes: #1121714

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 01 Dec 2025 08:57:28 +0100

## orthanc-dicomweb 1.22+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,17 +19,17 @@
 # along with this program. If not, see <http://www.gnu.org/licenses/>.
 
 
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 2.8...4.0)
 
 project(OrthancDicomWeb)
 
-set(ORTHANC_DICOM_WEB_VERSION "1.21")
+set(ORTHANC_DICOM_WEB_VERSION "1.22")
 
 if (ORTHANC_DICOM_WEB_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.5")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "e0979326ac53")  # while waiting for 1.12.11
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -60,7 +60,13 @@
 
 if (ORTHANC_FRAMEWORK_SOURCE STREQUAL "system")
   if (ORTHANC_FRAMEWORK_USE_SHARED)
-    include(FindBoost)
+    # https://cmake.org/cmake/help/latest/policy/CMP0167.html
+    if (CMAKE_VERSION VERSION_GREATER "3.30")
+      find_package(Boost CONFIG)
+    else()
+      include(FindBoost)
+    endif()
+
     find_package(Boost COMPONENTS regex thread)
     
     if (NOT Boost_FOUND)

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                pybuild-plugin-pyproject,
                fonts-font-awesome,
                libjs-bootstrap5,
+               libjs-jquery,
                libjs-vue,
                libgtest-dev,
                liborthancframework-dev,
